apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: {{ app_name }}
  namespace: {{ app_namespace }}
  annotations:
    kubernetes.io/ingress.class: {{ app_ingress_class_name }}
    cert-manager.io/cluster-issuer: {{ app_cluster_issuer_name }}
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
spec:
  rules:
  - host: {{ app_domain_name }}
    http:
      paths:
      - backend:
          serviceName: {{ app_name }}
          servicePort: 80
        path: /
  tls:
  - hosts:
    - {{ app_domain_name }}
    secretName: {{ app_cert_secret_name }}
